package com.usky.ai.service;

import com.usky.ai.domain.AiDevice;

import java.util.List;

public interface AiDeviceService {

    void addDevice(AiDevice device);

    void editDevice(AiDevice device);

    void saveOrUpdateDevice(AiDevice device);

    void updateDeviceStatus();

    List<AiDevice> getDevices(String boardId, int pageNum, int pageSize);

    long getTotalDevices(String boardId);

    void deleteDevice(String boardId);
}